%define _use_internal_dependency_generator 0

%define real_name Mail-SpamAssassin

%define __find_requires %{SOURCE99}

Name:           spamassassin
Version:        2.60
Release:        0.fdr.2.rh80
Epoch:          0
Summary:  Spam filter for email which can be invoked from mail delivery agents

Group:          Applications/Internet
License:        Artistic
URL:            http://spamassassin.org/
Source0:        http://spamassassin.org/devel/Mail-SpamAssassin-2.60.tar.bz2
Source2:        redhat_local.cf
Source3:        spamassassin-default.rc
Source4:        spamassassin-spamc.rc
Source5:        spamassassin.sysconfig
Source10:       spamassassin-helper.sh
Source99:       filter-requires-spamassassin.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl-Net-DNS, perl >= 2:5.8.0, perl(Time::HiRes), openssl-devel
Prereq:         /sbin/chkconfig /sbin/service
Requires:       perl-Net-DNS, perl(Time::HiRes), procmail
Obsoletes:      perl-Mail-SpamAssassin

%description
SpamAssassin provides you with a way to reduce if not completely eliminate
Unsolicited Commercial Email (SPAM) from your incoming email.  It can
be invoked by a MDA such as sendmail or postfix, or can be called from
a procmail script, .forward file, etc.  It uses a genetic-algorithm
evolved scoring system to identify messages which look spammy, then
adds headers to the message so they can be filtered by the user's mail
reading software.  This distribution includes the spamd/spamc components
which create a server that considerably speeds processing of mail.

To enable spamassassin, if you are receiving mail locally, simply add
this line to your ~/.procmailrc:
INCLUDERC=/etc/mail/spamassassin/spamassassin-default.rc

To filter spam for all users, add that line to /etc/procmailrc
(creating if necessary).


%prep
%setup -q -n %{real_name}-%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS $(pkg-config openssl --cflags)"
%{__perl} Makefile.PL \
  INSTALLDIRS=vendor \
  DESTDIR=$RPM_BUILD_ROOT \
  SYSCONFDIR=%{_sysconfdir} \
  ENABLE_SSL=yes \
  </dev/null
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"
#make test


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALLARCHLIB=%{perl_archlib}
install -d $RPM_BUILD_ROOT/%{_initrddir}
install -p -m 0755 spamd/redhat-rc-script.sh \
  $RPM_BUILD_ROOT/%{_initrddir}/spamassassin

install -d $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -p -m 0644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/mail/spamassassin/local.cf
install -p -m 0644 %{SOURCE5} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/spamassassin

install -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/mail/spamassassin
install -p -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/mail/spamassassin
install -p -m 0755 %{SOURCE10} $RPM_BUILD_ROOT/etc/mail/spamassassin

install -d $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig

find $RPM_BUILD_ROOT%{_libdir}/perl* -type f -a \( -name perllocal.pod -o \
  -name .packlist -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT%{_libdir}/perl* -type d -depth -exec rmdir {} \
  2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT%{_libdir}/perl*


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add spamassassin
if [ -f /etc/spamassassin.cf ]; then
    %{__mv} /etc/spamassassin.cf /etc/mail/spamassassin/migrated.cf
fi
if [ -f /etc/mail/spamassassin.cf ]; then
    %{__mv} /etc/mail/spamassassin.cf /etc/mail/spamassassin/migrated.cf
fi

%preun
if [ $1 -eq 0 ] ; then
    /sbin/service spamassassin stop >/dev/null 2>&1
    /sbin/chkconfig --del spamassassin
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service spamassassin condrestart > /dev/null 2>&1
fi


%files
%defattr(-,root,root,-)
%doc README Changes sample-nonspam.txt sample-spam.txt spamd/README.spamd
%config(noreplace) %{_initrddir}/spamassassin
%config(noreplace) %{_sysconfdir}/mail
%config(noreplace) %{_sysconfdir}/sysconfig/spamassassin
%{_bindir}/*
%{_libdir}/perl*/*
%{_datadir}/spamassassin
%{_mandir}/man?/*


%changelog
* Sat Oct  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.60-0.fdr.2
- Install into perl vendor dirs.
- Build spamc with SSL support.
- Spec cleanup according to Fedora template.

* Mon Sep 22 2003 Warren Togami <warren@togami.com> 2.60-0.fdr.1
- 2.60 final

* Fri Sep 19 2003 Warren Togami <warren@togami.com> 2.60-rc6
- 2.60-rc6

* Wed Sep 17 2003 Warren Togami <warren@togami.com> 2.60-rc5
- 2.60-rc5

* Thu Sep 11 2003 Warren Togami <warren@togami.com> 2.60-rc4
- 2.60-rc4
- buildroot to RPM_BUILDROOT
- refactor some install locations for rc4 MakeMaker changes
- remove useless pre rm -rf test

* Thu Aug 28 2003 Warren Togami <warren@togami.com> 2.60-rc3
- 2.60-rc3

* Thu Aug 22 2003 Warren Togami <warren@togami.com> 2.60-rc2
- 2.60-rc2

* Thu Aug 21 2003 Warren Togami <warren@togami.com> 2.60-rc1
- 2.60-rc1

* Tue Aug 05 2003 Warren Togami <warren@togami.com> 2.60-PR3
- 2.60 PR3

* Fri Jul 04 2003 Warren Togami <warren@togami.com> 2.60-PR2
- 2.60 preview release 2
- no longer need service name patch
- make < /dev/null to supress built time prompt

* Tue Jun 24 2003 Warren Togami <warren@togami.com> 2.60-PR1
- 2.60 preview release 1
- spamassassin-2.60 service name patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 31 2003 Chip Turner <cturner@redhat.com> 2.55-1
- move to upstream version 2.55

* Tue May 13 2003 Chip Turner <cturner@redhat.com>
- bump for build
- change init.d script to not default to started

* Sun May 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- remove Distribution: tag in spec file

* Wed Apr 16 2003 Chip Turner <cturner@redhat.com> 2.53-5
- remove SIGCHILD patch to properly return it to SIG_IGN now that
  waitpid isn't used on Linux

* Mon Apr 14 2003 Chip Turner <cturner@redhat.com> 2.53-4.8.x
- update to 2.53 from upstream

* Fri Mar 21 2003 Chip Turner <cturner@redhat.com> 2.50-3.8.x
- update patch for servicename; should fix restarting/runlevel issues (#85975)

* Thu Mar 13 2003 Chip Turner <cturner@redhat.com> 2.50-2.8.x
- update to 2.50

* Tue Feb 25 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 Chip Turner <cturner@redhat.com>
- revert double fix for 84774

* Mon Feb 17 2003 Bill Nottingham <notting@redhat.com>
- fix startup (#84445)

* Thu Feb 13 2003 Bill Nottingham <notting@redhat.com>
- fix paths in initscript (#84216)

* Thu Feb 13 2003 Chip Turner <cturner@redhat.com>
- removing -P option since it is the default now, bug 84144

* Wed Feb 12 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- fix SIGCHLD handling

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com>
- move condrestart to %postun

* Sun Feb  2 2003 Chip Turner <cturner@redhat.com>
- update to 2.44
- add condrestart to service script

* Thu Jan 30 2003 Chip Turner <cturner@redhat.com>
- release bump and rebuild

* Wed Jan 29 2003 Chip Turner <cturner@redhat.com>
- add upstream bsmtp off-by-one patch

* Mon Jan 20 2003 Chip Turner <cturner@redhat.com>
- add wrapper for 'spamassassin -e' for native evolution spam filtering

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 2.43-10
- use internal dep generator.

* Wed Jan  1 2003 Chip Turner <cturner@redhat.com>
- rebuild

* Tue Dec 17 2002 Bill Nottingham <notting@redhat.com> 2.43-7
- don't run by default

* Sat Dec 14 2002 Tim Powers <timp@redhat.com> 2.43-6
- don't use rpms internal dep generator
- buildrequire perl-Time-HiRes instead of perl(Time:HiRes) so we can satisfy build deps in the build system

* Fri Nov 22 2002 Tim Powers <timp@redhat.com>
- rebuilt to solve broken perl deps

* Thu Aug 15 2002 Chip Turner <cturner@redhat.com>
- speedup patch from upstream

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Thu Jul 18 2002 Chip Turner <cturner@redhat.com>
- better control of service level, improvement in %post script.
- (contribs from schirmer@taytron.net)

* Fri Jun 28 2002 Chip Turner <cturner@redhat.com>
- added proper BuildRequire

* Wed Jun 26 2002 Chip Turner <cturner@redhat.com>
- updated to 2.31, added .rc file for procmail to INCLUDERC to enable

* Fri Apr 19 2002 Theo Van Dinter <felicity@kluge.net>
- Updated for 2.20 release
- made /etc/mail/spamassassin a config directory so local.cf doesn't get wiped out
- added a patch to remove findbin stuff

* Wed Feb 27 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.1 release

* Sat Feb 02 2002 Theo Van Dinter <felicity@kluge.net>
- Updates for 2.01 release
- Fixed rc file
- RPM now buildable as non-root
- fixed post_service errors
- fixed provides to include perl modules
- use file find instead of manually specifying files

* Tue Jan 15 2002 Craig Hughes <craig@hughes-family.org>
- Updated for 2.0 release

* Wed Dec 05 2001 Craig Hughes <craig@hughes-family.org>
- Updated for final 1.5 distribution.

* Sun Nov 18 2001 Craig Hughes <craig@hughes-family.org>
- first version of rpm.

